Loading...
Searching...
No Matches
freecontact::pf_vector Class Reference
Inheritance diagram for freecontact::pf_vector:

## Public Member Functions

| pf_vector ()
| pf_vector (uint16_t __alilen, uint8_t __q, _Tp __v)
_Tp & | operator() (uint16_t __i, uint16_t __j, uint8_t __ai, uint8_t __aj)
const _Tp & | operator() (uint16_t __i, uint16_t __j, uint8_t __ai, uint8_t __aj) const

## Public Attributes

uint16_t | alilen
uint8_t | q
size_t | d3
size_t | d2
size_t | d1

## Detailed Description

Definition at line 98 of file freecontact.cpp.

## Constructor & Destructor Documentation

## pf_vector() [1/2]

freecontact::pf_vector::pf_vector | ( |  | ) |

inline

Definition at line 105 of file freecontact.cpp.

## pf_vector() [2/2]

freecontact::pf_vector::pf_vector | ( | uint16_t | __alilen,
|  | uint8_t | __q,
|  | _Tp | __v )

inline

Definition at line 106 of file freecontact.cpp.

## Member Function Documentation

## operator()() [1/2]

_Tp & freecontact::pf_vector::operator() | ( | uint16_t | __i,
|  | uint16_t | __j,
|  | uint8_t | __ai,
|  | uint8_t | __aj )

inline

Definition at line 108 of file freecontact.cpp.

## operator()() [2/2]

const _Tp & freecontact::pf_vector::operator() | ( | uint16_t | __i,
|  | uint16_t | __j,
|  | uint8_t | __ai,
|  | uint8_t | __aj ) const

inline

Definition at line 112 of file freecontact.cpp.

## Member Data Documentation

## alilen

uint16_t freecontact::pf_vector::alilen

Definition at line 101 of file freecontact.cpp.

## d1

size_t freecontact::pf_vector::d1

Definition at line 103 of file freecontact.cpp.

## d2

size_t freecontact::pf_vector::d2

Definition at line 103 of file freecontact.cpp.

## d3

size_t freecontact::pf_vector::d3

Definition at line 103 of file freecontact.cpp.

## q

uint8_t freecontact::pf_vector::q

Definition at line 102 of file freecontact.cpp.

The documentation for this class was generated from the following file:

- freecontact.cpp